Changes between Version 8 and Version 9 of squeeze-wheezy-mosh-upgrade


Ignore:
Timestamp:
Nov 3, 2013, 4:01:56 PM (6 years ago)
Author:
Jamie McClelland
Comment:

--

Legend:

Unmodified
Added
Removed
Modified
  • squeeze-wheezy-mosh-upgrade

    v8 v9  
    88== Communications and Upgrade Calendar ==
    99
    10 Week of Saturday November 2, 2013
     10'''Week of Saturday November 2, 2013'''
    1111
    1212 * Upgrade Rose (Note: rose was chosen without proper notice to members - it was chosen because it has no Drupal 5 or earlier versions and we expected a smooth upgrade while still getting important feedback on the process that can be applied to future upgrades). DONE!
     
    1717 * Send direct email to each member with a Drupal 5 or below hosting order letting them know that their web site will break, offer to move them to a MOSH that will hold old Drupals
    1818
    19 Week of Saturday, November 23, 2013
     19'''Week of Saturday, November 23, 2013'''
    2020 * Send Lowdown Announcement reminding people that malcolm is being upgraded next week, and repeating schedule
    2121 * Send email to specific members on malcolm reminding them that the upgrade is taking place.
    2222 
    23 Week of Saturday, December 7, 2013
     23'''Week of Saturday, December 7, 2013'''
    2424 * Upgrade malcolm (Note: malcolm was chosen because it is an old server running many old versions of web applications. By upgrading malcolm, we expect to get critical feedback on the process that can be applied to future upgrades).
    2525 
    26 Week of Saturday, December 14, 2014
     26'''Week of Saturday, December 14, 2014'''
    2727 * Send Lowdown Announcement reminding people of January upgrade, repeating schedule
    2828
    29 Week of Saturday, January 4, 2014
     29'''Week of Saturday, January 4, 2014'''
    3030 * Upgrade MOSH's according to schedule (see below)
    3131
    32 Week of Saturday, January 18, 2014
     32'''Week of Saturday, January 18, 2014'''
    3333 * Send Lowdown Announcement reminding people of February upgrade, repeating schedule
    3434
    35 Week of Saturday, February 1, 2014
     35'''Week of Saturday, February 1, 2014'''
    3636 * Upgrade MOSH's according to schedule (see below)
    3737
    3838== MOSH upgrade schedule ==
    3939
    40 Saturday November 2, 2013
     40'''Saturday November 2, 2013'''
    4141        * rose
    4242
    43 Saturday December 7, 2013
     43'''Saturday December 7, 2013'''
     44        * malcolm
     45
     46'''Saturday, January 4, 2014'''
     47        * albizu
     48        * annapurna
     49        * annette
     50        * barghouti
     51        * binh
     52        * boggs
     53        * brown
     54        * buffy
     55        * chavez
     56        * clara
     57        * colin
     58        * daza
     59        * debs
     60        * didier
     61        * dorothy
     62        * eagle
     63        * foucault
     64        * gaspar
     65        * goldman
     66        * hammer
     67        * julia
     68        * june
     69        * kahlo
     70        * kerr
     71        * kinoy
     72
     73'''Saturday, February 1, 2014'''
     74        * lucy
     75        * lumumba
     76        * magon 
     77        * mandela
     78        * marx
     79        * menchu
     80        * molina
     81        * proudhon
     82        * rivera
     83        * rodolpho
     84        * roe
     85        * rose
     86        * rushdie
     87        * slaapbeen
     88        * sojourner
     89        * stokely
     90        * stone
     91        * stoney
     92        * tresca
     93        * viewsic
     94        * wolf
     95        * yippie
     96        * yser
     97
     98'''Special cases'''
     99        * jones: March 2014 (Union Web Services dedicated MOSH)
     100        * hashmi: August 2014  (Cesspool MOSH for moved Drupal sites)
     101
     102== Email messages ==
     103
     104=== Generic message about upgrade, with list of MOSH'es and the calendar ===
     105
     106==== English ====
     107
     108|| In brief: The support team is planning the upgrade of our servers from Debian 6 to Debian 7, which has important implications for your web sites. The people responsible for maintaining your sites should ensure that your web software will be compatible with PHP 5.4. Failure to ensure compatibility may result in your web site failing to work properly. ||
     109
     110Greetings May First/People Link Member!
     111
     112As part of the process of maintaining our shared infrastructure, it is crucial that we upgrade obsolete software to fix security holes and bugs and introduce new features.
     113
     114Our servers run the Debian GNU/Linux operating systems, which is free software[1]. The Debian software packages, like in any operating systems, are constantly updated. However, Debian always maintains a "stable" version that only accepts minimal, security-related changes. This stable version is replaced approximately every 2 years. The stable version known as Debian 7 (aka "wheezy") was released on May 3, 2013 and replaced version 6 (aka "squeeze"), which as become obsolete.
     115
     116It is imperative for our server administrators to upgrade all our servers and this change has important implication for all members: the upgrade, which will proceed according to the schedule below, includes a change in the version of PHP, a very common web-programming language (from PHP 5.3 to PHP 5.4). Many older web sites programmed in PHP may not properly function with this newer version of the programming language. In particular, web sites running Drupal version 5 or lower will most likely break unless they are first upgraded.
     117
     118The support team has written the following calendar for upgrades, based on the name of your primary server (if you do not know the primary server of your web site, please login to the control panel - https://members.mayfirst.org/cp - and look for the label "Your primary host is").
     119
     120Saturday, November 2, 2013
     121        * rose
     122
     123Saturday, December 7, 2013
    44124        * malcolm
    45125
     
    96176        * yser
    97177
    98 Special cases
    99         * jones: March 2014 (Union Web Services dedicated MOSH)
    100         * hashmi: August 2014  (Cesspool MOSH for moved Drupal sites)
    101 
    102 == Email messages ==
    103 
    104 === Generic message about upgrade, with list of MOSH'es and the calendar ===
    105 
    106 ==== English ====
    107 
    108 || In brief: The support team is planning the upgrade of our servers from Debian 6 to Debian 7, which has important implications for your web sites. The people responsible for maintaining your sites should ensure that your web software will be compatible with PHP 5.4. Failure to ensure compatibility may result in your web site failing to work properly. ||
    109 
    110 Greetings May First/People Link Member!
    111 
    112 As part of the process of maintaining our shared infrastructure, it is crucial that we upgrade obsolete software to fix security holes and bugs and introduce new features.
    113 
    114 Our servers run the Debian GNU/Linux operating systems, which is free software[1]. The Debian software packages, like in any operating systems, are constantly updated. However, Debian always maintains a "stable" version that only accepts minimal, security-related changes. This stable version is replaced approximately every 2 years. The stable version known as Debian 7 (aka "wheezy") was released on May 3, 2013 and replaced version 6 (aka "squeeze"), which as become obsolete.
    115 
    116 It is imperative for our server administrators to upgrade all our servers and this change has important implication for all members: the upgrade, which will proceed according to the schedule below, includes a change in the version of PHP, a very common web-programming language (from PHP 5.3 to PHP 5.4). Many older web sites programmed in PHP may not properly function with this newer version of the programming language. In particular, web sites running Drupal version 5 or lower will most likely break unless they are first upgraded.
    117 
    118 The support team has written the following calendar for upgrades, based on the name of your primary server (if you do not know the primary server of your web site, please login to the control panel - https://members.mayfirst.org/cp - and look for the label "Your primary host is").
    119 
    120 Saturday, November 2, 2013
    121         * rose
    122 
    123 Saturday, December 7, 2013
    124         * malcolm
    125 
    126 Saturday, January 4, 2014
    127         * albizu
    128         * annapurna
    129         * annette
    130         * barghouti
    131         * binh
    132         * boggs
    133         * brown
    134         * buffy
    135         * chavez
    136         * clara
    137         * colin
    138         * daza
    139         * debs
    140         * didier
    141         * dorothy
    142         * eagle
    143         * foucault
    144         * gaspar
    145         * goldman
    146         * hammer
    147         * julia
    148         * june
    149         * kahlo
    150         * kerr
    151         * kinoy
    152 
    153 Saturday, February 1, 2014
    154         * lucy
    155         * lumumba
    156         * magon 
    157         * mandela
    158         * marx
    159         * menchu
    160         * molina
    161         * proudhon
    162         * rivera
    163         * rodolpho
    164         * roe
    165         * rose
    166         * rushdie
    167         * slaapbeen
    168         * sojourner
    169         * stokely
    170         * stone
    171         * stoney
    172         * tresca
    173         * viewsic
    174         * wolf
    175         * yippie
    176         * yser
    177 
    178178Those members unable to upgrade your web site according to this schedule, may ask the support team to move your site to a server that will maintain an older version of PHP through August 2014.
    179179